<?php

namespace Drupal\content_editing_message;

use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Defines an access controller for the content_editing_message entity.
 *
 * We set this class to be the access controller in
 * ContentEditingMessage's entity annotation.
 *
 * @see \Drupal\content_editing_message\Entity\ContentEditingMessage
 *
 * @ingroup content_editing_message
 */
class ContentEditingMessageAccessController extends EntityAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  public function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    // No special access handling. Defer to the entity system which will only
    // allow admin access by default.
    return parent::checkAccess($entity, $operation, $account);
  }

}
